Package opennlp.tools.entitylinker

## Class BaseLink

- java.lang.Object
- - opennlp.tools.entitylinker.BaseLink

-     public abstract class BaseLink
      extends Object

  Stores a minimal tuple of information. Intended to be used with LinkedSpan

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseLink()` |
    `BaseLink​(String itemParentID, String itemID, String itemName, String itemType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getItemID()` | returns the itemid
    `String` | `getItemName()` | returns the name
    `String` | `getItemParentID()` | Any parent ID for the linked item
    `String` | `getItemType()` | returns the type
    `HashMap<String,​Double>` | `getScoreMap()` |
    `int` | `hashCode()` |
    `void` | `setItemID​(String itemID)` | sets the item id.
    `void` | `setItemName​(String itemName)` | Sets the item name.
    `void` | `setItemParentID​(String itemParentID)` | returns the parent ID of the linked item
    `void` | `setItemType​(String itemType)` | sets the item type.
    `void` | `setScoreMap​(HashMap<String,​Double> scoreMap)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseLink

          public BaseLink()

    - #### BaseLink

          public BaseLink​(String itemParentID,
                          String itemID,
                          String itemName,
                          String itemType)

  - ### Method Detail

    - #### getItemParentID

          public String getItemParentID()

      Any parent ID for the linked item
      Returns:

    - #### setItemParentID

          public void setItemParentID​(String itemParentID)

      returns the parent ID of the linked item
      Parameters:
        `itemParentID` -

    - #### getItemID

          public String getItemID()

      returns the itemid
      Returns:

    - #### setItemID

          public void setItemID​(String itemID)

      sets the item id. This field can store, for example, the primary key of a row in an external/linked database
      Parameters:
        `itemID` -

    - #### getItemName

          public String getItemName()

      returns the name
      Returns:

    - #### setItemName

          public void setItemName​(String itemName)

      Sets the item name. An item name can be the native name (often a normalized version of something) from an external linked database
      Parameters:
        `itemName` -

    - #### getItemType

          public String getItemType()

      returns the type
      Returns:

    - #### setItemType

          public void setItemType​(String itemType)

      sets the item type. An item type can be the native type from an external linked database. For instance, a product type or code
      Parameters:
        `itemType` -

    - #### getScoreMap

          public HashMap<String,​Double> getScoreMap()

    - #### setScoreMap

          public void setScoreMap​(HashMap<String,​Double> scoreMap)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`